Bug 166854 - New Port: games/twind, Match and remove all of the blocks before time runs out
Summary: New Port: games/twind, Match and remove all of the blocks before time runs out
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Kozlov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-11 19:20 UTC by nemysis
Modified: 2012-05-03 22:02 UTC (History)
0 users

See Also:


Attachments
file.shar (5.28 KB, text/plain)
2012-04-11 19:20 UTC, nemysis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-04-11 19:20:12 UTC
My first Attemp to make a FreeBSD Ports, have already made a PBI and submitted.

Have all tested with http://www.freebsd.org/doc/en/books/porters-handbook/porting-testing.html and all works.

Fix: Patch attached with submission follows:
Comment 1 nemysis 2012-04-23 18:35:01 UTC
Generated with FreeBSD Port Tools 0.99_5 (mode: new)

--- .shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	twind
#	twind/Makefile
#	twind/distinfo
#	twind/pkg-descr
#	twind/pkg-plist
#	twind/files
#	twind/files/patch-Makefile
#	twind/files/patch-twind.c
#	twind/twind
#
echo c - twind
mkdir -p twind > /dev/null 2>&1
echo x - twind/Makefile
sed 's/^X//' >twind/Makefile << 'ed806bf58373a9d717caa1a5efa207fe'
X# New Ports collection makefile for:	twind
X# Date created:		20 April 2012
X# Whom:			nemysis@gmx.ch
X#
X# $FreeBSD$
X#
X
XPORTNAME=	twind
XPORTVERSION=	1.1.0
XCATEGORIES=	games
XMASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTVERSION}
X
XMAINTAINER=	nemysis@gmx.ch
XCOMMENT=	Match and remove all of the blocks before time runs out
X
XLICENSE=	GPLv2
X
XLIB_DEPENDS=	ao:${PORTSDIR}/audio/libao \
X		ogg:${PORTSDIR}/audio/libogg \
X		vorbis:${PORTSDIR}/audio/libvorbis
X
XUSE_GMAKE=	yes
XUSE_XORG=	x11
XUSE_SDL=	sdl image mixer
X
XPORTDOCS=	AUTHORS CREDITS ChangeLog INSTALL NEWS README TODO
X
Xdo-install:
X# Executable
X	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
X
Xpost-install:
X# Data
X	${MKDIR} ${PREFIX}/share/games/${PORTNAME}
X.for d in graphics music sound
X	${CP} -R ${WRKSRC}/${d} ${PREFIX}/share/games/${PORTNAME}/
X.endfor
X
X# Documentations
X.if !defined(NOPORTDOCS)
X	${MKDIR} ${DOCSDIR}
X.for f in ${PORTDOCS}
X	${INSTALL_DATA} ${WRKSRC}/${f} ${DOCSDIR}
X.endfor
X	${INSTALL_DATA} ${WRKSRC}/graphics/${PORTNAME}.png ${PREFIX}/share/pixmaps/
X.endif
X
X.include <bsd.port.mk>
ed806bf58373a9d717caa1a5efa207fe
echo x - twind/distinfo
sed 's/^X//' >twind/distinfo << 'c7c8fc2f8ec22b638e79e1ccb90733a3'
XSHA256 (twind-1.1.0.tar.gz) = 392a09e92862cf8a89a9b8c6f5ed7255c15c7f058a89d889c32f59ed8da73382
XSIZE (twind-1.1.0.tar.gz) = 2837845
c7c8fc2f8ec22b638e79e1ccb90733a3
echo x - twind/pkg-descr
sed 's/^X//' >twind/pkg-descr << 'e4391ee75c03306fbcc758a829e63805'
XThe object of the game is to remove all of the blocks from the screen
Xbefore the time runs out. Two blocks are removed at a time,
Xand must be of the same color. After completing a level,
Xyou will be rewarded with a bonus point for every tick left on the clock.
XFor each level thereafter, the time to complete the the level will be shorter.
X
XWWW: http://twind.sourceforge.net/
e4391ee75c03306fbcc758a829e63805
echo x - twind/pkg-plist
sed 's/^X//' >twind/pkg-plist << '8991ae8e51c1584f0364266e9cb0c973'
Xbin/twind
Xshare/games/twind/graphics/background.png
Xshare/games/twind/graphics/beveled.png
Xshare/games/twind/graphics/black_l.png
Xshare/games/twind/graphics/black_r.png
Xshare/games/twind/graphics/bricks.png
Xshare/games/twind/graphics/brushed_metal.png
Xshare/games/twind/graphics/circles.png
Xshare/games/twind/graphics/freeserif_green_20.png
Xshare/games/twind/graphics/freeserif_green_24.png
Xshare/games/twind/graphics/freeserif_white_20.png
Xshare/games/twind/graphics/freeserif_white_24.png
Xshare/games/twind/graphics/highlight1.png
Xshare/games/twind/graphics/highlight2.png
Xshare/games/twind/graphics/highlight3.png
Xshare/games/twind/graphics/highlight4.png
Xshare/games/twind/graphics/left_mouse_highlight.png
Xshare/games/twind/graphics/path_blocks.png
Xshare/games/twind/graphics/pyramids.png
Xshare/games/twind/graphics/right_mouse_highlight.png
Xshare/games/twind/graphics/snake_skin.png
Xshare/games/twind/graphics/timer_empty.png
Xshare/games/twind/graphics/timer_empty_white.png
Xshare/games/twind/graphics/timer_full.png
Xshare/games/twind/graphics/timer_full_white.png
Xshare/games/twind/graphics/title_big.png
Xshare/games/twind/graphics/title_small.png
Xshare/games/twind/graphics/twind.png
Xshare/games/twind/graphics/volume_bar.png
Xshare/games/twind/graphics/volume_slider.png
Xshare/games/twind/graphics/white_l.png
Xshare/games/twind/graphics/white_r.png
Xshare/games/twind/music/0-0.ogg
Xshare/games/twind/music/0-1.ogg
Xshare/games/twind/music/1-1.ogg
Xshare/games/twind/music/1-2.ogg
Xshare/games/twind/music/2-1.ogg
Xshare/games/twind/music/2-2.ogg
Xshare/games/twind/music/3-1.ogg
Xshare/games/twind/music/3-2.ogg
Xshare/games/twind/music/4-1.ogg
Xshare/games/twind/music/4-2.ogg
Xshare/games/twind/music/5-1.ogg
Xshare/games/twind/music/5-2.ogg
Xshare/games/twind/music/6-1.ogg
Xshare/games/twind/music/6-2.ogg
Xshare/games/twind/sound/apply_bonus.wav
Xshare/games/twind/sound/eliminate_blocks.wav
Xshare/games/twind/sound/keyboard_click.wav
Xshare/games/twind/sound/menu_option.wav
Xshare/games/twind/sound/option_choice.wav
Xshare/games/twind/sound/wrong_move.wav
Xshare/pixmaps/twind.png
X@dirrm share/games/twind/sound
X@dirrm share/games/twind/music
X@dirrm share/games/twind/graphics
X@dirrm share/games/twind
X@dirrm share/games
8991ae8e51c1584f0364266e9cb0c973
echo c - twind/files
mkdir -p twind/files > /dev/null 2>&1
echo x - twind/files/patch-Makefile
sed 's/^X//' >twind/files/patch-Makefile << '5c66908e8c93fb3be81d372f1fb0f7ed'
X--- Makefile.orig	2004-07-04 06:30:29.000000000 +0200
X+++ Makefile	2012-04-20 22:20:05.000000000 +0200
X@@ -17,8 +17,8 @@
X 	-DHIGH_SCORE_PREFIX=\"$(HIGH_SCORE_PREFIX)\"
X endif
X LIBS = -lm
X-SDL_CFLAGS = `sdl-config --cflags`
X-SDL_LIBS = `sdl-config --libs` -lSDL_image
X+SDL_CFLAGS = `$(SDL_CONFIG) --cflags`
X+SDL_LIBS = `$(SDL_CONFIG) --libs` -lSDL_image
X MIXER_LIB = -lSDL_mixer
X 
X all: twind
X@@ -50,7 +50,7 @@
X 	make twind MIXER_LIB= AUDIOFLAG=NOAUDIO
X  	
X twind: twind.o
X-	$(CC) twind.o $(LIBS) $(SDL_LIBS) $(MIXER_LIB) -o twind
X+	 $(CC) $(LDFLAGS) twind.o $(LIBS) $(SDL_LIBS) $(MIXER_LIB) -o twind
X 
X twind.o: twind.c
X 	$(CC) $(CFLAGS) $(SDL_CFLAGS) -c twind.c
5c66908e8c93fb3be81d372f1fb0f7ed
echo x - twind/files/patch-twind.c
sed 's/^X//' >twind/files/patch-twind.c << 'a56e8a2a8c1f6b7de7b052fc34db440d'
X--- twind.c.orig	2004-07-16 03:44:50.000000000 +0200
X+++ twind.c	2012-04-20 02:47:58.000000000 +0200
X@@ -674,10 +674,10 @@
X                     if (event.button.x >= MENULX && event.button.x < MENURX && event.button.y >= starty && event.button.y < (starty + height)) {
X                         current_menu_high = (event.button.y - starty) / game.font[font].height;
X                         /* re-assign current_menu_high if blank option */
X-                        if (menu_items[game.menu][current_menu_high] == "")
X+                        if (*menu_items[game.menu][current_menu_high] == '\0')
X                             current_menu_high = game.last_menu_high;
X                         if (game.last_menu_high != current_menu_high) {
X-                            if (menu_items[game.menu][current_menu_high] != "") {
X+                            if (*menu_items[game.menu][current_menu_high] != '\0') {
X                                 #ifndef NOAUDIO
X                                 if (game.audio_enabled) Mix_PlayChannel(MENU_OPTION, game.sound[MENU_OPTION], 0);
X                                 #endif
X@@ -697,7 +697,7 @@
X                         if (event.button.x >= MENULX && event.button.x < MENURX && event.button.y >= starty && event.button.y < (starty + height)) {
X                             current_menu_high = (event.button.y - starty) / game.font[font].height;
X                             /* make sure the option isn't blank */
X-                            if (menu_items[game.menu][current_menu_high] != "") {
X+                            if (*menu_items[game.menu][current_menu_high] != '\0') {
X                                 #ifndef NOAUDIO
X                                 if (game.audio_enabled) Mix_PlayChannel(OPTION_CHOICE, game.sound[OPTION_CHOICE], 0);
X                                 #endif
X@@ -917,7 +917,7 @@
X         #endif
X         current_menu_high--;
X         /* if option blank, go to previous */
X-        while (menu_items[game.menu][current_menu_high] == "")
X+        while (*menu_items[game.menu][current_menu_high] == '\0')
X             current_menu_high--;
X         /* wrap around to the bottom entry */
X         if (current_menu_high == -1)
X@@ -930,7 +930,7 @@
X         #endif
X         current_menu_high++;
X         /* if option blank, go to next */
X-        while (menu_items[game.menu][current_menu_high] == "")
X+        while (*menu_items[game.menu][current_menu_high] == '\0')
X             current_menu_high++;
X         /* wrap around to the top entry */
X         if (current_menu_high == game.menu_item_cnt)
X@@ -1536,7 +1536,7 @@
X             if (level_time && game.stop_timer + game.added_time < game.best_time)
X                 game.best_time = game.stop_timer + game.added_time;
X             /* subtract a set amount of time after level 11 */
X-            if (game.current_level > 11)
X+            if (game.current_level >= 11)
X                 game.level_time -= 10;
X             else
X                 game.level_time = times[level_time];
X@@ -1546,7 +1546,7 @@
X                 break;
X             }
X             /* increase time for next level */
X-            if (level_time != 12)
X+            if (level_time != 10)
X                 level_time++;
X         }
X         if (game.exit_game != NEW_GAME) {
a56e8a2a8c1f6b7de7b052fc34db440d
echo x - twind/twind
sed 's/^X//' >twind/twind << 'ab9e22b4f3775ac18d3740d997d5ecf9'
X===> Creating shar file
ab9e22b4f3775ac18d3740d997d5ecf9
exit
--- .shar ends here ---
Comment 2 Alex Kozlov freebsd_committer 2012-04-27 12:14:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ak

I'll take it.
Comment 3 dfilter service freebsd_committer 2012-05-03 21:57:11 UTC
ak          2012-05-03 20:56:57 UTC

  FreeBSD ports repository

  Modified files:
    games                Makefile 
  Added files:
    games/twind          Makefile distinfo pkg-descr 
  Log:
  The object of the game is to remove all of the blocks from the screen
  before the time runs out. Two blocks are removed at a time,
  and must be of the same color. After completing a level,
  you will be rewarded with a bonus point for every tick left on the clock.
  For each level thereafter, the time to complete the the level will be shorter.
  
  PR:     ports/166854
  Submitted by:   nemysis <nemysis@gmx.ch>
  Approved by:    eadler (mentor)
  
  Revision  Changes    Path
  1.1415    +1 -0      ports/games/Makefile
  1.1       +47 -0     ports/games/twind/Makefile (new)
  1.1       +2 -0      ports/games/twind/distinfo (new)
  1.1       +7 -0      ports/games/twind/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Alex Kozlov freebsd_committer 2012-05-03 22:02:54 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!